%undefine __libtoolize
%define objprelink 0

Name: knoda
Version: 0.5.6
Release: alt3

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Group: Databases
Summary: Knoda is a database frontend for KDE. It is based on hk_classes and is released under the GPL.
URL: http://knoda.sourceforge.net
License: GPL
Requires: kdelibs-gcc_compiled = %__gcc_version_base
Requires: %{get_dep libhk_classes} %{get_dep libhk_kdeclasses}

Source0: %name-%version.tar.bz2

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-common kde-config kdelibs-devel libGLU libarts-devel
BuildRequires: libcups libjpeg-devel liblcms libmng libtiff-devel zlib-devel
BuildRequires: libpng-devel libqt3-devel libssl libstdc++-devel
BuildRequires: libhk_classes-devel >= %version
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Knoda allows you to:
    * define and delete databases;
    * create, alter and delete tables and indices;
    * add, change and delete data in tables;
    * define, execute and store sql queries;
    * import and export CSV data;
    * define and use forms; and
    * define reports with PostScript, HTML or user defined output (coming
next)

Its driver concept allows a uniform connection to different database servers.

%package -n libhk_kdeclasses
Group: System/Libraries
Summary: Database classes for KNoda
Provides: %name = %version-%release
Requires: %name = %version-%release
Requires: kdelibs-gcc_compiled = %__gcc_version_base
#
%description -n libhk_kdeclasses
the hk_classes are a set of non-visual routines which allow you to develop
database frontend applications as easy as possible.
You need also a database driver to run applications. A driver for Mysql is 
included in this library
and will be automatically installed if configure finds a working mysql 
installation on your computer.

%package -n libhk_kdeclasses-devel
Group: Development/C++
Summary: Development files for lib%name
Requires: libhk_kdeclasses = %version-%release
#
%description -n libhk_kdeclasses-devel
This package contains headers and other development files for lib%name


%prep
%setup -q -n %name-%version

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH 
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
%configure \
    --disable-rpath \
    --disable-debug \
    --disable-static \
    --enable-shared

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif


%install
%make DESTDIR=%buildroot install

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Databases %buildroot%_datadir/applnk/Office/%name.desktop %buildroot%_menudir/%name

cp %buildroot%_iconsdir/hicolor/32x32/apps/%name.png %buildroot%_iconsdir

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%post -n libhk_kdeclasses -p /sbin/ldconfig
%postun -n libhk_kdeclasses -p /sbin/ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/apps/knoda
%_iconsdir/*/*/*/*.png
%_iconsdir/%name.png
#
%_datadir/applnk/Office/%name.desktop
%_menudir/%name
#
%doc %_datadir/doc/HTML/en/%name
%doc README AUTHORS NEWS ChangeLog

%files -n libhk_kdeclasses
%_datadir/apps/hk_kdeclasses
%_datadir/services/hk_kde*.desktop
%_libdir/*.so.*
%_libdir/*.la
#
%doc README AUTHORS

%files -n libhk_kdeclasses-devel
%_includedir/*.h
%_libdir/*.so
#
%doc ChangeLog

%changelog
* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt3
- fix requires

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt2
- new location for drivers

* Thu Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Wed Nov 27 2002 AEN <aen@altlinux.ru> 0.5.5-alt3
- spec fixed

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.5-alt2
- fix Obsoletes Requires BuildRequires
- remove Serial before putting into Sisyphus

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1:0.5.5-alt1
- 0.5.5

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.3-alt2
- build with gcc3.2

* Thu Jul 25 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Sat Jun 4 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.2-alt1
- 0.5.1

* Thu Jan 03 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.4.3-alt0.1
- 0.4.3

- specfile cleanup

